OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Ray.h File Reference

A Ray class. More...

`#include "Math.h"`
`#include "Vec3.h"`
`#include "Transform.h"`
`#include <algorithm>`
`#include <iostream>`
`#include <limits>`

Go to the source code of this file.

## Classes
class | Ray< RealT >
struct | Ray< RealT >::TimeSpan

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::math

## Functions
template<typename RealT >
std::ostream & | operator<< (std::ostream &os, const Ray< RealT > &r)
| Output streaming of the Ray class.

## Detailed Description

A Ray class.

Author
  Ken Museth